summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorDavide <davide.crucitti@yahoo.it>2019-02-11 22:44:44 +0100
committerDavide <davide.crucitti@yahoo.it>2019-02-11 22:44:44 +0100
commit73383a84ed3826dbd13d8502671cc9f6b50d824c (patch)
tree22e68d23d963894c951adb88dcaac4281fd11411 /etc
parent2e18e14336d808708c93f3173772de4426462534 (diff)
Removed TTL limit from ping
Diffstat (limited to 'etc')
-rwxr-xr-xetc/mailsync.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/etc/mailsync.sh b/etc/mailsync.sh
index 826cf8a..6446979 100755
--- a/etc/mailsync.sh
+++ b/etc/mailsync.sh
@@ -13,10 +13,10 @@ export DISPLAY=:0.0
# Settings are different for MacOS (Darwin) systems.
if [ "$(uname)" = "Darwin" ]
then
- ping -q -t 1 -c 1 1.1.1.1 > /dev/null || exit
+ ping -q -c 1 1.1.1.1 > /dev/null || exit
notify() { osascript -e "display notification \"$2 in $1\" with title \"You've got Mail\" subtitle \"Account: $account\"" && sleep 2 ;}
else
- ping -q -W 1 -c 1 1.1.1.1 > /dev/null || exit
+ ping -q -c 1 1.1.1.1 > /dev/null || exit
notify() { mpv --really-quiet ~/.config/mutt/etc/notify.opus & pgrep -x dunst && notify-send -i ~/.config/mutt/etc/email.gif "$2 new mail(s) in \`$1\` account." ;}
fi